/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.apps.admintool.view;

import net.handle.hdllib.*;
import javax.swing.*;
import java.awt.*;

public class TextValueEditor
  extends JPanel
  implements HandleValueEditor
{
  private JTextArea inputField;
  
  public TextValueEditor() {
    super(new BorderLayout());
    inputField = new JTextArea(3, 3);
    
    add(new JScrollPane(inputField), BorderLayout.CENTER);
  }

  public boolean saveValueData(HandleValue value) {
    value.setData(Util.encodeString(inputField.getText()));
    return true;
  }

  public void loadValueData(HandleValue value) {
    inputField.setText(value==null ? "" : Util.decodeString(value.getData()));
  }

}
