/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.hdllib;

/******************************************************************************
 * Request used to create a new handle.  Holds the handle and the
 * initial values.
 ******************************************************************************/

public class CreateHandleRequest
  extends AbstractRequest
{

  public HandleValue values[];
  
  public CreateHandleRequest(byte handle[], HandleValue values[], 
                             AuthenticationInfo authInfo) {
    super(handle, AbstractMessage.OC_CREATE_HANDLE, authInfo);
    this.values = values;
    this.isAdminRequest = true;
  }

}
