/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.hdllib;

public class NextTxnIdResponse
  extends AbstractResponse
{
  public long nextTxnId;

  public NextTxnIdResponse(long nextTxnId) {
    super(AbstractMessage.OC_GET_NEXT_TXN_ID, AbstractMessage.RC_SUCCESS);
    this.nextTxnId = nextTxnId;
  }

  public NextTxnIdResponse(AbstractRequest req, long nextTxnId)
    throws HandleException
  {
    super(req, AbstractMessage.RC_SUCCESS);
    this.nextTxnId = nextTxnId;
  }  
}
