/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.jdb;

class TableEntry
{
 int hash;
 long key;
 Block value;
 TableEntry next;
  
 /******************************************************************************
  *
  * Recursively create and return a copy of a linked list the TableEntry,
  * and the linked list of TableEntries starting with it, if any.
  *
  */

 protected Object clone()
 {
  TableEntry entry = new TableEntry();
  entry.hash  = hash;
  entry.key   = key;
  entry.value = value;
  entry.next  = (next == null) ? null : (TableEntry)next.clone();
  return entry;
 }

 /*****************************************************************************/
}

