/**********************************************************************\
 © COPYRIGHT 2013 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.
               
        The HANDLE.NET software is made available subject to the
         Handle System Public License, which may be obtained at
         http://hdl.handle.net/4263537/5030 or hdl:4263537/5030
\**********************************************************************/

package net.handle.security;

import java.math.*;
import java.security.interfaces.*;

public class DSAParamsImpl
  implements DSAParams
{
  private BigInteger p;
  private BigInteger q;
  private BigInteger g;

  public DSAParamsImpl(BigInteger p, BigInteger q, BigInteger g)
  {
    this.p = p;
    this.q = q;
    this.g = g;
  }

  public BigInteger getP() { return p; }

  public BigInteger getQ() { return q; }

  public BigInteger getG() { return g; }

}
